Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class Author

    java.lang.Object
      org.biojava.bio.structure.Author

    public class Author

extends Object

Describes author attributes for author information in a PDB file.

Author:
  Jules Jacobsen

Constructor Summary
`Author()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getInitials()`
`String` | `getSurname()`
`int` | `hashCode()`
`void` | `setInitials(String initials)`
`void` | `setSurname(String surname)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Author

    public Author()

Method Detail

### getInitials

    public String getInitials()

### setInitials

    public void setInitials(String initials)

### getSurname

    public String getSurname()

### setSurname

    public void setSurname(String surname)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD